# Uses of Interface
org.opensaml.xmlsec.signature.PGPKeyPacket

Packages that use PGPKeyPacket
Package
Description
org.opensaml.xmlsec.signature
XMLObject interfaces and helper classes for representing digitally signed content and signing/validating content.
org.opensaml.xmlsec.signature.impl
Implementations of the interfaces for XMLObjects that represent XML signature types.

## Uses of PGPKeyPacket in org.opensaml.xmlsec.signature

Methods in org.opensaml.xmlsec.signature that return PGPKeyPacket
Modifier and Type
Method
Description
`PGPKeyPacket`
PGPData.`getPGPKeyPacket()`
Get PGPKeyPacket child element.
Methods in org.opensaml.xmlsec.signature with parameters of type PGPKeyPacket
Modifier and Type
Method
Description
`void`
PGPData.`setPGPKeyPacket(PGPKeyPacket newPGPKeyPacket)`
Set PGPKeyPacket child element.

## Uses of PGPKeyPacket in org.opensaml.xmlsec.signature.impl

Classes in org.opensaml.xmlsec.signature.impl that implement PGPKeyPacket
Modifier and Type
Class
Description
`class`
`PGPKeyPacketImpl`
Concrete implementation of `PGPKeyPacket`.
Fields in org.opensaml.xmlsec.signature.impl declared as PGPKeyPacket
Modifier and Type
Field
Description
`private PGPKeyPacket`
PGPDataImpl.`pgpKeyPacket`
PGPKeyPacket child element value.
Methods in org.opensaml.xmlsec.signature.impl that return PGPKeyPacket
Modifier and Type
Method
Description
`PGPKeyPacket`
PGPKeyPacketBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided by the XML Signature specifications.
`PGPKeyPacket`
PGPKeyPacketBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`PGPKeyPacket`
PGPDataImpl.`getPGPKeyPacket()`
Get PGPKeyPacket child element.
Methods in org.opensaml.xmlsec.signature.impl with parameters of type PGPKeyPacket
Modifier and Type
Method
Description
`void`
PGPDataImpl.`setPGPKeyPacket(PGPKeyPacket newPGPKeyPacket)`
Set PGPKeyPacket child element.